diff -rupN --no-dereference med-5.0.0/config/cmake_files/medMacros.cmake med-5.0.0-new/config/cmake_files/medMacros.cmake
--- med-5.0.0/config/cmake_files/medMacros.cmake	2025-01-24 00:28:04.460898497 +0100
+++ med-5.0.0-new/config/cmake_files/medMacros.cmake	2025-01-24 00:28:04.857640862 +0100
@@ -447,7 +447,7 @@ MACRO(MED_FIND_HDF5)
     ##
     ## Requires 1.12.x version
     ##
-    IF (NOT HDF_VERSION_MAJOR_REF EQUAL 1 OR NOT HDF_VERSION_MINOR_REF EQUAL 12 OR NOT HDF_VERSION_RELEASE_REF GREATER 0)
+    IF (HDF5_VERSION VERSION_LESS 1.12.1)
         MESSAGE(FATAL_ERROR "HDF5 version is ${HDF_VERSION_REF}. Only versions >= 1.12.1 are supported.")
     ENDIF()
     ##
diff -rupN --no-dereference med-5.0.0/src/ci/MEDfileCompatibility.c med-5.0.0-new/src/ci/MEDfileCompatibility.c
--- med-5.0.0/src/ci/MEDfileCompatibility.c	2023-06-05 14:14:44.000000000 +0200
+++ med-5.0.0-new/src/ci/MEDfileCompatibility.c	2025-01-24 00:28:04.858068408 +0100
@@ -116,7 +116,7 @@ MEDfileCompatibility(const char* const f
 #if MED_NUM_MAJEUR != 5
 #error "Don't forget to update the test version here when you change the major version of the library !"
 #endif
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to check the compatibility version of the library, depending on the internal hdf model choice !"
 #error "Cf. _MEDfileCreate ..."
 #endif
diff -rupN --no-dereference med-5.0.0/src/hdfi/_MEDfileCreate.c med-5.0.0-new/src/hdfi/_MEDfileCreate.c
--- med-5.0.0/src/hdfi/_MEDfileCreate.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/hdfi/_MEDfileCreate.c	2025-01-24 00:28:04.858334666 +0100
@@ -189,7 +189,7 @@ med_idt _MEDfileCreate(const char * cons
    * Cette ligne est censée obliger HDF à ne pas utiliser un modèle interne différent de 1.10.z
    * Un test autoconf permet de fixer un intervalle de version HDF à MED.
    */
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
    
diff -rupN --no-dereference med-5.0.0/src/hdfi/_MEDfileOpen.c med-5.0.0-new/src/hdfi/_MEDfileOpen.c
--- med-5.0.0/src/hdfi/_MEDfileOpen.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/hdfi/_MEDfileOpen.c	2025-01-24 00:28:04.858574380 +0100
@@ -113,7 +113,7 @@ med_idt _MEDfileOpen(const char * const
        has been set in the group creation property list (see H5Pset_link_creation_order).
   */
 
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
 /* L'avantage de bloquer le modèle interne HDF5
diff -rupN --no-dereference med-5.0.0/src/hdfi/_MEDfileOpenForImport.c med-5.0.0-new/src/hdfi/_MEDfileOpenForImport.c
--- med-5.0.0/src/hdfi/_MEDfileOpenForImport.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/hdfi/_MEDfileOpenForImport.c	2025-01-24 00:28:04.858834390 +0100
@@ -53,7 +53,7 @@ med_idt  _MEDfileOpenForImport(const cha
   }
 
 
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
 /* L'avantage de bloquer le modèle interne HDF5
diff -rupN --no-dereference med-5.0.0/src/hdfi/_MEDmemFileOpen.c med-5.0.0-new/src/hdfi/_MEDmemFileOpen.c
--- med-5.0.0/src/hdfi/_MEDmemFileOpen.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/hdfi/_MEDmemFileOpen.c	2025-01-24 00:28:04.859128966 +0100
@@ -439,7 +439,7 @@ med_idt _MEDmemFileOpen(const char * con
     goto ERROR;
   }
 
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
   if ( H5Pset_libver_bounds( _fapl, H5F_LIBVER_V112, H5F_LIBVER_V112 ) ) {
@@ -506,7 +506,7 @@ med_idt _MEDmemFileOpen(const char * con
 	goto ERROR;
       }
       _fversionMM = 100*_fmajor+10*_fminor;
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
       if ( _fversionMM < 500 ) { /*100*MED_NUM_MAJEUR+10*MED_NUM_MINEUR*/
diff -rupN --no-dereference med-5.0.0/src/hdfi/_MEDparFileCreate.c med-5.0.0-new/src/hdfi/_MEDparFileCreate.c
--- med-5.0.0/src/hdfi/_MEDparFileCreate.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/hdfi/_MEDparFileCreate.c	2025-01-24 00:28:04.859422685 +0100
@@ -64,7 +64,7 @@ med_idt _MEDparFileCreate(const char * c
    * En HDF5-1.10.0p1 cela n'a aucun effet ! 
    * Un test autoconf permet de fixer un intervalle de version HDF à MED.
    */
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
    
diff -rupN --no-dereference med-5.0.0/src/hdfi/_MEDparFileOpen.c med-5.0.0-new/src/hdfi/_MEDparFileOpen.c
--- med-5.0.0/src/hdfi/_MEDparFileOpen.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/hdfi/_MEDparFileOpen.c	2025-01-24 00:28:04.859632596 +0100
@@ -86,7 +86,7 @@ med_idt _MEDparFileOpen(const char * con
   }
   _fversionMM = 100*_fmajor+10*_fminor;
 
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif 
   if ( _fversionMM < 500 ) { /*100*MED_NUM_MAJEUR+10*MED_NUM_MINEUR*/
diff -rupN --no-dereference med-5.0.0/src/misc/MEDversionedApi3C.c med-5.0.0-new/src/misc/MEDversionedApi3C.c
--- med-5.0.0/src/misc/MEDversionedApi3C.c	2023-06-05 14:14:45.000000000 +0200
+++ med-5.0.0-new/src/misc/MEDversionedApi3C.c	2025-01-24 00:28:04.859890990 +0100
@@ -114,7 +114,7 @@ MedFuncType _MEDversionedApi3( const cha
   /*      (_fversionMM <= (100*MED_NUM_MAJEUR+10*MED_NUM_MINEUR) ) */
   /*      ) { */
 
-#if H5_VERS_MINOR > 12
+#if H5_VERS_MINOR > 14
 #error "Don't forget to change the compatibility version of the library !"
 #endif
   
